autofs-5.0.9 - fix map option parsing for 'strictatime'

From: Pete Beardmore <pete.beardmore@msn.com>

Added a trivial token length check to ensure the 'strictatime'
mount option is not consumed by string logic for the 'strict'
automount option.

Pre-patch, adding the 'strictatime' to a map effectively switched
strict mode (for multi-mount handling) on, and failed to pass the
'strictatime' option through to 'mount'.

This will have been an issue since 'strictatime' was introduced
for the 2.6.30 kernel.
---
 CHANGELOG           |    1 +
 modules/parse_sun.c |    3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 80a82dc..995ee2e 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -28,6 +28,7 @@
 - fix incorrect check in parse_mount().
 - handle duplicates in multi mounts.
 - revert special case cifs escapes.
+- fix map option parsing for 'strictatime'.
 
 28/03/2014 autofs-5.0.9
 =======================
diff --git a/modules/parse_sun.c b/modules/parse_sun.c
index 6b59d19..2c89209 100644
--- a/modules/parse_sun.c
+++ b/modules/parse_sun.c
@@ -509,7 +509,8 @@ static int sun_mount(struct autofs_point *ap, const char *root,
 				fstype[typelen] = '\0';
 			} else if (_strncmp("nonstrict", cp, 9) == 0) {
 				nonstrict = 1;
-			} else if (_strncmp("strict", cp, 6) == 0) {
+			} else if (_strncmp("strict", cp, 6) == 0 &&
+				   comma - cp == 6) {
 				nonstrict = 0;
 			} else if (_strncmp("nobrowse", cp, 8) == 0 ||
 				   _strncmp("browse", cp, 6) == 0 ||
